Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
Developer
greenback
Posts: 535
Registered: ‎10-17-2010
My Device: (BlackBerry Z10)-> Q10/Passport Dual Use

Re: BB10 BBM Integration

@oros - BlackBerry 10 BBM Sample please.

BlackBerry Development Advisor
oros
Posts: 1,557
Registered: ‎04-12-2010
My Device: BlackBerry Z10

Re: BB10 BBM Integration

Just went live today; feel free to PM me or start up a new thread (and ping me) if you have any questions about the samples (trying to minimize the number of topics in this thread.

https://github.com/blackberry/BB10-WebWorks-Samples/tree/master/bbm

 

Cheers!


Erik Oros | @WaterlooErik | eoros@blackberry.com | Developer Issue Tracker

If a reply has answered your question, please click Accept as Solution to help other visitors in the future.
Contributor
tranhuutam2001
Posts: 10
Registered: ‎11-04-2012
My Device: BB10 Dev Alpha A

still get error when using this BBMSample on Github

hi Oros,

I downloaded this source from GitHub at the address you gave,

the only thing I change is replacing the file webworks-1.0.2.9.js with the one webworks-1.0.1.17.js,

And I run this sample on my Dev Alpha A, I get error TypeError: 'undefined' is not an object (evaluating 'blackberry.bbm.platform') in Web Inspector

Please see this image for details

https://dl.dropbox.com/u/70353767/BlackBerry/build/bbm/device/Error.PNG

BlackBerry Development Advisor
Nukul
Posts: 115
Registered: ‎06-06-2011
My Device: 9800

Re: still get error when using this BBMSample on Github

Is the blackberry object defined?

If not you should check the script tag and make sure it a loading the webworks.js file 

@nukulb
Contributor
tranhuutam2001
Posts: 10
Registered: ‎11-04-2012
My Device: BB10 Dev Alpha A

Re: still get error when using this BBMSample on Github

hi Nukul

the Blackberry object is defined in webworks-1.0.1.17.js, and of course this file loads successfully.

I wonder why it not work, is there any thing I miss?

 

BlackBerry Development Advisor
oros
Posts: 1,557
Registered: ‎04-12-2010
My Device: BlackBerry Z10

Re: still get error when using this BBMSample on Github

Hi there,

 

I just wanted to confirm a few things. First, from the following URL:

https://github.com/blackberry/BB10-WebWorks-Samples/tree/master/bbm

 

Just as a quick check, are you leveraging the incomplete or complete version of the source code?

 

The file being used, webworks-1.0.2.9.js is the one that's included with the project and should not be replaced with an older version of the javascript file. If I'm understanding correctly, you replaced 1.0.2.9 with 1.0.1.7, is that right? Does the sample work without any replacement?

 

If you are replacing the js file, is there any particular reason?

 

I don't believe the BBM APIs existed before the 1.0.2.9 release, so seeing blackberry.bbm.platform is undefined would be expected.

 

Please let me know if I've misunderstood.


Erik Oros | @WaterlooErik | eoros@blackberry.com | Developer Issue Tracker

If a reply has answered your question, please click Accept as Solution to help other visitors in the future.
Contributor
tranhuutam2001
Posts: 10
Registered: ‎11-04-2012
My Device: BB10 Dev Alpha A

Re: still get error when using this BBMSample on Github

hi Oros,

I think you're right, you got my problem,

I will tell more details about my case

I use the Dev Alpha A device with has OS Version 10.0.9.388, Build ID 320287 and Browser Version 10.0.0.44, I think it is not the latest version of BB10 OS, what is your device version?

So, when I try the complete version of the source code, it not work with js webworks-1.0.2.9.js, then I have to replace to  webworks-1.0.1.7.js.

 

I think all I have to do now is upgrade the OS of this device to the newest version. Is that right?

 

Thanks,

Tam Tran

BlackBerry Development Advisor
oros
Posts: 1,557
Registered: ‎04-12-2010
My Device: BlackBerry Z10

Re: still get error when using this BBMSample on Github

Hi Tam,

 

10.0.9.388 is the newest publicly available release of the OS and that where I tested / confirmed that the complete sample should be working.

 

When you try with 1.0.2.9, you note that the complete version does not work, can you elaborate a little as to what isn't working? Does the application not start, any Web Inspector errors, etc. Also, are you running through the browser or a compiled WebWorks application?


Erik Oros | @WaterlooErik | eoros@blackberry.com | Developer Issue Tracker

If a reply has answered your question, please click Accept as Solution to help other visitors in the future.
Contributor
tranhuutam2001
Posts: 10
Registered: ‎11-04-2012
My Device: BB10 Dev Alpha A

Re: still get error when using this BBMSample on Github

oh Oros,

another reason I found is BlackBerry update the new version of SDK to 1.0.2 but I still use the old one 1.0.1

Now I have to download a new one and build the app again with the new SDK,

Think that other members will get the same problem at me

 

Thanks Oros,

Tam Tran

BlackBerry Development Advisor
oros
Posts: 1,557
Registered: ‎04-12-2010
My Device: BlackBerry Z10

Re: still get error when using this BBMSample on Github

Ah yes, sorry I should have caught that if you were using 1.0.1.7. You will need to build with the latest SDK. If you still see issues after doing that, please let me know.


Erik Oros | @WaterlooErik | eoros@blackberry.com | Developer Issue Tracker

If a reply has answered your question, please click Accept as Solution to help other visitors in the future.